# Delete

Launch stage: Public Preview

`DELETE /api/data-quality/v1/monitors/{object_type}/{object_id}`

Delete a data quality monitor on Unity Catalog object.

 For the `table` `object_type`, the caller must have either of the following sets of permissions:
 **MANAGE** and **USE_CATALOG** on the table's parent catalog.
 **USE_CATALOG** on the table's parent catalog, and **MANAGE** and **USE_SCHEMA** on the table's parent schema.
 **USE_CATALOG** on the table's parent catalog, **USE_SCHEMA** on the table's parent schema, and **MANAGE** on the table.

 Note that the metric tables and dashboard will not be deleted as part of this call; those
 assets must be manually cleaned up (if desired).

 For the `schema` `object_type`, the caller must have either of the following sets of permissions:
 1. **MANAGE** and **USE_CATALOG** on the schema's parent catalog.
 2. **USE_CATALOG** on the schema's parent catalog, and **MANAGE** and **USE_SCHEMA** on the schema.

API scopes: dataquality

## Path parameters

- `object_type` (string, optional)
  The type of the monitored object. Can be one of the following: `schema` or `table`.
- `object_id` (string, optional)
  The UUID of the request object. It is `schema_id` for `schema`, and `table_id` for `table`.
  
   Find the `schema_id` from either:
   1. The [schema_id](https://docs.databricks.com/api/workspace/schemas/get#schema_id) of the `Schemas` resource.
   2. In [Catalog Explorer](https://docs.databricks.com/aws/en/catalog-explorer/) > select the `schema` > go to the `Details` tab > the `Schema ID` field.
  
   Find the `table_id` from either:
   1. The [table_id](https://docs.databricks.com/api/workspace/tables/get#table_id) of the `Tables` resource.
   2. In [Catalog Explorer](https://docs.databricks.com/aws/en/catalog-explorer/) > select the `table` > go to the `Details` tab > the `Table ID` field.

## Response

```json
{}
```

